Receive a 'Downgrade is denied' error when migrating from YouTrack cloud to a local instance of YouTrack using the latest download

I'm experiencing  what seems like an unsolvable problem.

The current YouTrack cloud version number is 5.0 (build #7223) and the current version for the YouTrack standalone download is 5.0 (build #7220).

Because of this, I get the following error when trying to migrate the cloud database to the local:

<html><head><title>Apache Tomcat/6.0.26 - Error report</title><style><!--H1 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} H2 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:16px;} H3 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;} BODY {font-family:Tahoma,Arial,sans-serif;color:black;background-color:white;} B {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;} P {font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:12px;}A {color : black;}A.name {color : black;}HR {color : #525D76;}--></style> </head><body><h1>HTTP Status 500 - </h1><HR size="1" noshade="noshade"><p><b>type</b> Exception report</p><p><b>message</b> <u></u></p><p><b>description</b> <u>The server encountered an internal error () that prevented it from fulfilling this request.</u></p><p><b>exception</b> <pre>java.lang.RuntimeException: Your database was touched by YouTrack build 7223. Downgrade is denied, please restore your database from backup.
    jetbrains.charisma.main.YouTrackInit.checkTouchedByBuild(YouTrackInit.java:301)
    jetbrains.charisma.main.YouTrackInit.init(YouTrackInit.java:71)
    jetbrains.charisma.main.InitWebApplicationServiceLocatorListener.onAfterInit(InitWebApplicationServiceLocatorListener.java:9)
    jetbrains.springframework.configuration.runtime.ServiceLocator.fireLocalAfterInit(ServiceLocator.java:112)
    jetbrains.charisma.main.ServletImpl.init(ServletImpl.java:70)
    javax.servlet.GenericServlet.init(GenericServlet.java:212)
    org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
    org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:298)
    org.apache.coyote.http11.Http11AprProcessor.process(Http11AprProcessor.java:859)
    org.apache.coyote.http11.Http11AprProtocol$Http11ConnectionHandler.process(Http11AprProtocol.java:579)
    org.apache.tomcat.util.net.AprEndpoint$Worker.run(AprEndpoint.java:1555)
    java.lang.Thread.run(Unknown Source)
</pre></p><p><b>note</b> <u>The full stack trace of the root cause is available in the Apache Tomcat/6.0.26 logs.</u></p><HR size="1" noshade="noshade"><h3>Apache Tomcat/6.0.26</h3></body></html>
prettyPrint();

Is there any way I can get around this? The latest version of the Python youtrack2youtrack.py script appears to be broken with Python 3.3.2, so I cannot use that either.
7 comments
Comment actions Permalink
Hi Morrison,

YouTrack Stand-alone build will be updated this week.
But we can provide you with the latest build right now to let you complete migration successfully. Please, clarify what kind of build do you need: jar, war ?

Thank you.
0
Comment actions Permalink
Hey Andrey,

That'd be awesome. A war would be perfect!

Cheers,
Morrison
0
Comment actions Permalink
Morrison,

Link to new war build was sent to you by email. Please check it.
0
Comment actions Permalink
Got it, working perfectly. Thanks!
0
Comment actions Permalink
Andrey Tigay, I have the same issue.

Using InCloud YouTrack 5.0.3 (build #7437 [23-Sep-2013 17:16] )
Downloaded the latest Standalone Version: 5.0.3 Build: #7423.

Getting the same error as Morrison.

Also, where do I put the WAR-file?
0
Comment actions Permalink
Customer support provided us with a compatible database from our InCloud instance. Problem solved (for me at least).
0
Comment actions Permalink
Any chance I can also get the latest build? I need a jar file . build number is 7437
0

Please sign in to leave a comment.